Home > Technical Documentation > Man Pages > hp-check

# hp-check: Dependency/Version Check Utility (ver. 12.2)

Check the existence and versions of HPLIP dependencies.

Usage: hp-check/check.py [OPTIONS]

[OPTIONS]

Pre-install check: | -p or --pre
Set the logging level: | -l<level> or --logging=<level>
| <level>: none, info*, error, warn, debug (*default)
Run in debug mode: | -g (same as option: -ldebug)
Output plain text only: | -t
This help information: | -h or --help

Notes:

1. For posting to the mailing list, use the -t parameter and then copy/paste the onscreen output or use the generated hp-check.log file.

2. Use with the '-p' switch prior to installation to check for dependencies and system requirements (skips some checks).

3. Run without the '-p' switch after installation to check for proper install (runs all checks).

Page last updated: Fri Dec 14 14:42:39 2007; HPLIP Version: 2.7.12